import React, { Key, ReactNode, RefObject, StyleHTMLAttributes, ComponentProps } from "react";
import { EbayEventHandler } from "../common/event-utils/types";
export type PaginationItemType = "previous" | "next" | "page" | "separator";
type HtmlProps = Omit<ComponentProps<"button">, "type" | "onSelect"> & Omit<ComponentProps<"a">, "onSelect"> & Omit<ComponentProps<"li">, "onSelect">;
export type PaginationItemProps = HtmlProps & {
    pageIndex?: number;
    key?: Key;
    type?: PaginationItemType;
    current?: boolean;
    disabled?: boolean;
    href?: string;
    hide?: boolean;
    a11yPreviousText?: string;
    a11yNextText?: string;
    onPrevious?: EbayEventHandler;
    onNext?: EbayEventHandler;
    onSelect?: EbayEventHandler<{
        value: string;
        index: number;
    }>;
    style?: StyleHTMLAttributes<HTMLButtonElement & HTMLAnchorElement>;
    forwardedRef?: RefObject<HTMLAnchorElement & HTMLButtonElement>;
    children?: ReactNode;
};
declare const _default: React.ForwardRefExoticComponent<Omit<PaginationItemProps, "ref"> & React.RefAttributes<React.FC<PaginationItemProps>>>;
export default _default;
//# sourceMappingURL=pagination-item.d.ts.map