import { ComponentProps, FC, ReactElement } from "react";
import type { EbayTableHeaderProps } from "./table-header";
import { TableRowSelectHandler, TableMode } from "./types";
export type EbayTableRowProps = Omit<ComponentProps<"tr">, "onSelect"> & {
    name?: string;
    selected?: boolean;
    mode?: TableMode;
    a11ySelectRowText?: string;
    onSelect?: TableRowSelectHandler;
    /**
     * This property is used by EbayTable to make sure that headers match up with the correct cells
     * NOTE: The flag "@deprecated" is only to not show this property in the autocomplete list on the top
     * @deprecated
     */
    __headers?: ReactElement<EbayTableHeaderProps>[];
};
declare const EbayTableRow: FC<EbayTableRowProps>;
export default EbayTableRow;
//# sourceMappingURL=table-row.d.ts.map